Checkm8-exploit iPhones heeft weinig invloed op veiligheid, oudere modellen kwetsbaar

8 reacties

In iPhones is een nieuwe kwetsbaarheid gevonden met de naam Checkm8. Door een kwetsbaarheid in de boot rom, kan er op het apparaat code uitgevoerd worden in ram op bootrom-niveau. Dit probleem is niet te repareren en is van toepassing op alle apparaten met een Apple A4- tot A11-soc.

Apparaten van de iPhone 4 tot de iPhone X zijn getroffen, waaronder ook de Apple Watch 1 tot en met 3. Er zit een kwetsbaarheid in de bootrom, die in read-only memory staat op het apparaat zelf. Hierdoor is dit probleem niet te repareren met een update. Om misbruik te maken van Checkm8 moet het apparaat aan een computer gehangen worden. Zelfs dan lukt het niet altijd om toegang te krijgen.


Een iPhone X die het bootproces weergeeft.

Checkm8 is een zogenaamde tethered exploit, wat inhoudt dat deze na opnieuw opstarten volledig verdwenen is - het draait immers alleen in ram. Bij apparaten met een secure enclave - dus iPhone 5s en later - kan de opslag niet uitgelezen worden, want de encryptie daarvan is niet gekraakt. Oudere apparaten lopen een groter risico. Hiervoor geldt dat de toegangscode veel sneller bemachtigd kan worden, waarna de data toegankelijk wordt.

Het risico van Checkm8 is dat er code uitgevoerd kan worden op bootrom-niveau. Hoewel de exploit vrijwel geen nieuwe mogelijkheden biedt, zou code execution op dit niveau wel een eerste stap kunnen zijn om samen met andere kwetsbaarheden misbruikt te worden. De kans hierop is echter klein. Apple heeft een secure bootchain geïmplementeerd, dus kan er geen geverifieerde code uitgevoerd worden tijdens of na het opstarten.


Ook Apple Watches zijn kwetsbaar, hier de Series 3.

Bronnen: AppleInsider, ArsTechnica

« Vorig bericht Volgend bericht »
0
*